diff --git a/vscode-extensions/.mvn/wrapper/maven-wrapper.jar b/vscode-extensions/.mvn/wrapper/maven-wrapper.jar
new file mode 100644
index 000000000..c6feb8bb6
Binary files /dev/null and b/vscode-extensions/.mvn/wrapper/maven-wrapper.jar differ
diff --git a/vscode-extensions/.mvn/wrapper/maven-wrapper.properties b/vscode-extensions/.mvn/wrapper/maven-wrapper.properties
new file mode 100644
index 000000000..6637cedb2
--- /dev/null
+++ b/vscode-extensions/.mvn/wrapper/maven-wrapper.properties
@@ -0,0 +1 @@
+distributionUrl=https://repo1.maven.org/maven2/org/apache/maven/apache-maven/3.3.9/apache-maven-3.3.9-bin.zip
\ No newline at end of file
diff --git a/vscode-extensions/.project b/vscode-extensions/.project
new file mode 100644
index 000000000..60d5d9946
--- /dev/null
+++ b/vscode-extensions/.project
@@ -0,0 +1,17 @@
+
+
+ aggregator
+
+
+
+
+
+ org.eclipse.m2e.core.maven2Builder
+
+
+
+
+
+ org.eclipse.m2e.core.maven2Nature
+
+
diff --git a/vscode-extensions/.settings/org.eclipse.m2e.core.prefs b/vscode-extensions/.settings/org.eclipse.m2e.core.prefs
new file mode 100644
index 000000000..f897a7f1c
--- /dev/null
+++ b/vscode-extensions/.settings/org.eclipse.m2e.core.prefs
@@ -0,0 +1,4 @@
+activeProfiles=
+eclipse.preferences.version=1
+resolveWorkspaceProjects=true
+version=1
diff --git a/vscode-extensions/commons-vscode/.gitignore b/vscode-extensions/commons-vscode/.gitignore
new file mode 100644
index 000000000..3cd27afdb
--- /dev/null
+++ b/vscode-extensions/commons-vscode/.gitignore
@@ -0,0 +1,3 @@
+coverage/
+node_modules/
+npm-debug.log
diff --git a/vscode-extensions/commons-vscode/.vscode/settings.json b/vscode-extensions/commons-vscode/.vscode/settings.json
new file mode 100644
index 000000000..0053ecd1e
--- /dev/null
+++ b/vscode-extensions/commons-vscode/.vscode/settings.json
@@ -0,0 +1,3 @@
+{
+ "typescript.tsdk": "node_modules/typescript/lib/"
+}
diff --git a/vscode-extensions/commons-vscode/.vscode/tasks.json b/vscode-extensions/commons-vscode/.vscode/tasks.json
new file mode 100644
index 000000000..49501fa1f
--- /dev/null
+++ b/vscode-extensions/commons-vscode/.vscode/tasks.json
@@ -0,0 +1,23 @@
+{
+ "version": "0.1.0",
+ "command": "npm",
+ "isShellCommand": true,
+ "args": ["run"],
+ "showOutput": "always",
+ "tasks": [
+ {
+ "taskName": "build",
+ "isBuildCommand": true
+ },
+ {
+ "taskName": "clean"
+ },
+ {
+ "taskName": "lint"
+ },
+ {
+ "taskName": "test",
+ "isTestCommand": true
+ }
+ ]
+}
diff --git a/vscode-extensions/commons-vscode/README.md b/vscode-extensions/commons-vscode/README.md
new file mode 100644
index 000000000..3a476a054
--- /dev/null
+++ b/vscode-extensions/commons-vscode/README.md
@@ -0,0 +1,25 @@
+# Using this module in other modules
+
+Here is a quick example of how this module can be used in other modules. The [TypeScript Module Resolution Logic](https://www.typescriptlang.org/docs/handbook/module-resolution.html) makes it quite easy. The file `src/index.ts` acts as an aggregator of all the functionality in this module. It imports from other files and re-exports to provide a unified interface for this module. The _package.json_ file contains `main` attribute that points to the generated `lib/index.js` file and `typings` attribute that points to the generated `lib/index.d.ts` file.
+
+> If you are planning to have code in multiple files (which is quite natural for a NodeJS module) that users can import, make sure you update `src/index.ts` file appropriately.
+
+Now assuming you have published this amazing module to _npm_ with the name `my-amazing-lib`, and installed it in the module in which you need it -
+
+- To use the `Greeter` class in a TypeScript file -
+
+```ts
+import { Greeter } from "my-amazing-lib";
+
+const greeter = new Greeter("World!");
+greeter.greet();
+```
+
+- To use the `Greeter` class in a JavaScript file -
+
+```js
+const Greeter = require('my-amazing-lib').Greeter;
+
+const greeter = new Greeter('World!');
+greeter.greet();
+```
diff --git a/vscode-extensions/commons-vscode/package.json b/vscode-extensions/commons-vscode/package.json
new file mode 100644
index 000000000..691f06665
--- /dev/null
+++ b/vscode-extensions/commons-vscode/package.json
@@ -0,0 +1,33 @@
+{
+ "name": "commons-vscode",
+ "private": true,
+ "version": "0.0.1",
+ "description": "commons-vscode",
+ "license": "MIT",
+ "repository": "",
+ "author": "Kris De Volder ",
+ "engines": {
+ "node": ">=4.0.0",
+ "vscode": "^1.5.0"
+ },
+ "keywords": [
+ ""
+ ],
+ "files": [
+ "lib"
+ ],
+ "main": "lib/index.js",
+ "typings": "lib/index.d.ts",
+ "scripts": {
+ "clean": "rm -rf lib node_modules",
+ "compile": "tsc -watch -p ./",
+ "prepublish": "node ./node_modules/vscode/bin/install && tsc -p ./"
+ },
+ "dependencies": {
+ },
+ "devDependencies": {
+ "typescript": "2.0.x",
+ "@types/node": "6.0.40",
+ "vscode": "^1.0.0"
+ }
+}
diff --git a/vscode-extensions/commons-vscode/src/index.ts b/vscode-extensions/commons-vscode/src/index.ts
new file mode 100644
index 000000000..b947feee5
--- /dev/null
+++ b/vscode-extensions/commons-vscode/src/index.ts
@@ -0,0 +1,3 @@
+import {testUtil} from './launch-util';
+
+export {testUtil};
\ No newline at end of file
diff --git a/vscode-extensions/commons-vscode/src/launch-util.ts b/vscode-extensions/commons-vscode/src/launch-util.ts
new file mode 100644
index 000000000..dfc5af5e4
--- /dev/null
+++ b/vscode-extensions/commons-vscode/src/launch-util.ts
@@ -0,0 +1,5 @@
+import * as code from 'vscode';
+
+export function testUtil() {
+ return 'this is a test';
+}
\ No newline at end of file
diff --git a/vscode-extensions/commons-vscode/tsconfig.json b/vscode-extensions/commons-vscode/tsconfig.json
new file mode 100644
index 000000000..c7862608e
--- /dev/null
+++ b/vscode-extensions/commons-vscode/tsconfig.json
@@ -0,0 +1,18 @@
+{
+ "compilerOptions": {
+ "module": "commonjs",
+ "target": "es5",
+ "noImplicitAny": true,
+ "sourceMap": true,
+ "moduleResolution": "node",
+ "declaration": true,
+ "outDir": "lib"
+ },
+ "include": [
+ "src/**/*"
+ ],
+ "exclude": [
+ "node_modules",
+ "**/*.spec.ts"
+ ]
+}
\ No newline at end of file
diff --git a/vscode-extensions/commons/commons-language-server/src/main/java/org/springframework/ide/vscode/commons/languageserver/java/JavaProjectWithClasspathFileFinderStrategy.java b/vscode-extensions/commons/commons-language-server/src/main/java/org/springframework/ide/vscode/commons/languageserver/java/JavaProjectWithClasspathFileFinderStrategy.java
index 8603ba5d3..9851272d0 100644
--- a/vscode-extensions/commons/commons-language-server/src/main/java/org/springframework/ide/vscode/commons/languageserver/java/JavaProjectWithClasspathFileFinderStrategy.java
+++ b/vscode-extensions/commons/commons-language-server/src/main/java/org/springframework/ide/vscode/commons/languageserver/java/JavaProjectWithClasspathFileFinderStrategy.java
@@ -35,7 +35,7 @@ public class JavaProjectWithClasspathFileFinderStrategy implements IJavaProjectF
URI uri = new URI(uriStr);
// TODO: This only work with File uri. Should it work with others
// too?
- File file = new File(uri).getAbsoluteFile();
+ File file = toFile(uri);
File cpFile = FileUtils.findFile(file, MavenCore.CLASSPATH_TXT);
if (cpFile != null) {
return cache.get(cpFile, () -> {
@@ -46,4 +46,13 @@ public class JavaProjectWithClasspathFileFinderStrategy implements IJavaProjectF
return null;
}
+ protected File toFile(URI uri) {
+// try {
+ return new File(uri).getAbsoluteFile();
+// } catch (Exception e) {
+// Log.log("Ignored Uri '"+uri+"'. Not a file?", e);
+// return null;
+// }
+ }
+
}
diff --git a/vscode-extensions/mvnw b/vscode-extensions/mvnw
new file mode 100755
index 000000000..6ecc150ae
--- /dev/null
+++ b/vscode-extensions/mvnw
@@ -0,0 +1,236 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+# JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+# M2_HOME - location of maven2's installed home dir
+# MAVEN_OPTS - parameters passed to the Java VM when running Maven
+# e.g. to debug Maven itself, use
+# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+ if [ -f /etc/mavenrc ] ; then
+ . /etc/mavenrc
+ fi
+
+ if [ -f "$HOME/.mavenrc" ] ; then
+ . "$HOME/.mavenrc"
+ fi
+
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ #
+ # Look for the Apple JDKs first to preserve the existing behaviour, and then look
+ # for the new JDKs provided by Oracle.
+ #
+ if [ -z "$JAVA_HOME" ] && [ -L /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK ] ; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -L /System/Library/Java/JavaVirtualMachines/CurrentJDK ] ; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=/System/Library/Java/JavaVirtualMachines/CurrentJDK/Contents/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -L "/Library/Java/JavaVirtualMachines/CurrentJDK" ] ; then
+ #
+ # Oracle JDKs
+ #
+ export JAVA_HOME=/Library/Java/JavaVirtualMachines/CurrentJDK/Contents/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -x "/usr/libexec/java_home" ]; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=`/usr/libexec/java_home`
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+ ## resolve links - $0 may be a link to maven's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ M2_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ M2_HOME=`cd "$M2_HOME" && pwd`
+
+ cd "$saveddir"
+ # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --unix "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME="`(cd "$M2_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ javaExecutable="`which javac`"
+ if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+ # readlink(1) is not available as standard on Solaris 10.
+ readLink=`which readlink`
+ if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+ if $darwin ; then
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+ else
+ javaExecutable="`readlink -f \"$javaExecutable\"`"
+ fi
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+ JAVA_HOME="$javaHome"
+ export JAVA_HOME
+ fi
+ fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly." >&2
+ echo " We cannot execute $JAVACMD" >&2
+ exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+ local basedir=$(pwd)
+ local wdir=$(pwd)
+ while [ "$wdir" != '/' ] ; do
+ if [ -d "$wdir"/.mvn ] ; then
+ basedir=$wdir
+ break
+ fi
+ wdir=$(cd "$wdir/.."; pwd)
+ done
+ echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+ if [ -f "$1" ]; then
+ echo "$(tr -s '\n' ' ' < "$1")"
+ fi
+}
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-$(find_maven_basedir)}
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --path --windows "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+ MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+# avoid using MAVEN_CMD_LINE_ARGS below since that would loose parameter escaping in $@
+exec "$JAVACMD" \
+ $MAVEN_OPTS \
+ -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+ "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+ ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"
diff --git a/vscode-extensions/mvnw.cmd b/vscode-extensions/mvnw.cmd
new file mode 100644
index 000000000..8bb827541
--- /dev/null
+++ b/vscode-extensions/mvnw.cmd
@@ -0,0 +1,146 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements. See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership. The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven2 Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+set MAVEN_CMD_LINE_ARGS=%MAVEN_CONFIG% %*
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+
+set WRAPPER_JAR=""%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar""
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+# avoid using MAVEN_CMD_LINE_ARGS below since that would loose parameter escaping in %*
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%
diff --git a/vscode-extensions/vscode-application-yaml/lib/Main.ts b/vscode-extensions/vscode-application-yaml/lib/Main.ts
index d4f68d415..f074a3783 100644
--- a/vscode-extensions/vscode-application-yaml/lib/Main.ts
+++ b/vscode-extensions/vscode-application-yaml/lib/Main.ts
@@ -14,7 +14,7 @@ import {TextDocument} from 'vscode';
PortFinder.basePort = 55282;
var DEBUG = false;
-const DEBUG_ARG = '-agentlib:jdwp=transport=dt_socket,server=y,address=8000,suspend=n';
+const DEBUG_ARG = '-agentlib:jdwp=transport=dt_socket,server=y,address=8000,suspend=y';
//If DEBUG is falsy then
// we launch from the 'fat jar' (which has to be built by running mvn package)
//if DEBUG is truthy then
@@ -160,7 +160,3 @@ function correctBinname(binname: string) {
else
return binname;
}
-
-// this method is called when your extension is deactivated
-export function deactivate() {
-}
diff --git a/vscode-extensions/vscode-application-yaml/package.json b/vscode-extensions/vscode-application-yaml/package.json
index c75f760a5..6e2628671 100644
--- a/vscode-extensions/vscode-application-yaml/package.json
+++ b/vscode-extensions/vscode-application-yaml/package.json
@@ -40,7 +40,7 @@
}
}
},
- "preview": "true",
+ "preview": true,
"scripts": {
"vscode:prepublish": "node ./node_modules/vscode/bin/compile",
"compile": "node ./node_modules/vscode/bin/compile -watch -p ./",
@@ -49,7 +49,8 @@
},
"dependencies": {
"portfinder": "^0.4.0",
- "vscode-languageclient": "2.5.x"
+ "vscode-languageclient": "2.5.x",
+ "commons-vscode": "0.1.x"
},
"devDependencies": {
"typescript": "^1.8.5",
diff --git a/vscode-extensions/vscode-application-yaml/package.sh b/vscode-extensions/vscode-application-yaml/package.sh
index 3cda60f54..f71ca601d 100755
--- a/vscode-extensions/vscode-application-yaml/package.sh
+++ b/vscode-extensions/vscode-application-yaml/package.sh
@@ -7,8 +7,7 @@
set -e # fail at the first sign of trouble
#Ensure commons are built and uptodate in local maven cache
-mvn -f ../commons/pom.xml clean install
-mvn clean package
+mvn -f ../pom.xml clean package
npm install
vsce package
diff --git a/vscode-extensions/vscode-manifest-yaml/.vscode/settings.json b/vscode-extensions/vscode-manifest-yaml/.vscode/settings.json
index c5592bee9..7b54d1cef 100644
--- a/vscode-extensions/vscode-manifest-yaml/.vscode/settings.json
+++ b/vscode-extensions/vscode-manifest-yaml/.vscode/settings.json
@@ -1,7 +1,8 @@
// Place your settings in this file to overwrite default and user settings.
{
+ "editor.wordWrap": false,
"files.exclude": {
- "out": true, // set this to true to hide the "out" folder with the compiled JS files
+ "out": false, // set this to true to hide the "out" folder with the compiled JS files
"node_modules": false,
"target": true
},
diff --git a/vscode-extensions/vscode-manifest-yaml/.vscode/tasks.json b/vscode-extensions/vscode-manifest-yaml/.vscode/tasks.json
index 1cbb9fd45..108f5e94d 100644
--- a/vscode-extensions/vscode-manifest-yaml/.vscode/tasks.json
+++ b/vscode-extensions/vscode-manifest-yaml/.vscode/tasks.json
@@ -17,10 +17,10 @@
"isShellCommand": true,
// show the output window only if unrecognized errors occur.
- "showOutput": "silent",
+ "showOutput": "always",
// we run the custom script "compile" as defined in package.json
- "args": ["run", "compile"], //, "--loglevel", "silent"],
+ "args": ["run", "compile"],
// The tsc compiler is started in watching mode
"isWatching": true,
diff --git a/vscode-extensions/vscode-manifest-yaml/README.md b/vscode-extensions/vscode-manifest-yaml/README.md
index d6a93d9d6..43adb0fd9 100644
--- a/vscode-extensions/vscode-manifest-yaml/README.md
+++ b/vscode-extensions/vscode-manifest-yaml/README.md
@@ -47,5 +47,12 @@ client from vscode without rebuilding the fatjar.
## Packaging as a vscode extension
-Run the `package.sh` script. This will produce a `.vsix` file that can
-be directly installed into vscode.
\ No newline at end of file
+First make sure the stuff is all built locally:
+
+ npm install
+
+Then package it:
+
+ npm run vsce-package
+
+This produces a `.vsix` file which you can install directly into vscode.
\ No newline at end of file
diff --git a/vscode-extensions/vscode-manifest-yaml/lib/Main.ts b/vscode-extensions/vscode-manifest-yaml/lib/Main.ts
index b4249b584..aa4f0b40b 100644
--- a/vscode-extensions/vscode-manifest-yaml/lib/Main.ts
+++ b/vscode-extensions/vscode-manifest-yaml/lib/Main.ts
@@ -3,15 +3,16 @@
// Import the module and reference it with the alias vscode in your code below
import * as VSCode from 'vscode';
+import {testUtil} from 'commons-vscode';
import * as Path from 'path';
import * as FS from 'fs';
-import * as PortFinder from 'portfinder';
+import PortFinder = require('portfinder');
import * as Net from 'net';
import * as ChildProcess from 'child_process';
import {LanguageClient, LanguageClientOptions, SettingMonitor, ServerOptions, StreamInfo} from 'vscode-languageclient';
import {TextDocument, OutputChannel} from 'vscode';
-PortFinder.basePort = 55282;
+PortFinder.basePort = 45556;
var DEBUG = false;
const DEBUG_ARG = '-agentlib:jdwp=transport=dt_socket,server=y,address=8000,suspend=y';
@@ -37,6 +38,7 @@ function error(msg : string) {
/** Called when extension is activated */
export function activate(context: VSCode.ExtensionContext) {
+ VSCode.window.showInformationMessage(testUtil());
VSCode.window.showInformationMessage("Activating manifest.yml extension");
log_output = VSCode.window.createOutputChannel("manifest-yml-debug-log");
log("Activating manifest.yml extension");
diff --git a/vscode-extensions/vscode-manifest-yaml/package.json b/vscode-extensions/vscode-manifest-yaml/package.json
index 39ce53188..d21b9cfaf 100644
--- a/vscode-extensions/vscode-manifest-yaml/package.json
+++ b/vscode-extensions/vscode-manifest-yaml/package.json
@@ -9,16 +9,19 @@
"type": "git",
"url": "https://github.com/kdvolder/vscode-lsapi-example.git"
},
- "license": "EPL",
+ "license": "EPL-1.0",
"engines": {
- "vscode": "^0.10.10"
+ "npm": "^3.0.0",
+ "vscode": "^1.5.0"
},
"categories": [
"Languages",
"Linters"
],
"keywords": [
- "yaml", "cloudfoundry", "manifest.yml"
+ "yaml",
+ "cloudfoundry",
+ "manifest.yml"
],
"activationEvents": [
"onLanguage:yaml"
@@ -39,18 +42,21 @@
},
"preview": true,
"scripts": {
- "vscode:prepublish": "node ./node_modules/vscode/bin/compile",
- "compile": "node ./node_modules/vscode/bin/compile -watch -p ./",
+ "prepublish": "tsc -p .",
+ "clean": "rm -fr node_modules out *.vsix",
+ "compile": "tsc -watch -p ./",
+ "preinstall": "(cd ../commons-vscode ; npm install) && npm install ../commons-vscode && ../mvnw -f ../pom.xml -pl vscode-manifest-yaml -am clean package",
"postinstall": "node ./node_modules/vscode/bin/install",
- "test": "mocha out/test"
+ "vsce-package": "vsce package"
},
"dependencies": {
"portfinder": "^0.4.0",
"vscode-languageclient": "2.5.x"
},
"devDependencies": {
- "typescript": "^1.8.5",
- "vscode": "^0.11.0",
- "mocha": "^2.4.5"
+ "vsce": "^1.17.0",
+ "typescript": "^2.0.x",
+ "@types/node": "^6.0.40",
+ "vscode": "^1.0.0"
}
}
diff --git a/vscode-extensions/vscode-manifest-yaml/package.sh b/vscode-extensions/vscode-manifest-yaml/package.sh
deleted file mode 100755
index 3cda60f54..000000000
--- a/vscode-extensions/vscode-manifest-yaml/package.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-## run this script to package up this extension using vsce tool.
-## This assumes you have vsce tool installed.
-## You can install it via npm
-
-set -e # fail at the first sign of trouble
-
-#Ensure commons are built and uptodate in local maven cache
-mvn -f ../commons/pom.xml clean install
-mvn clean package
-npm install
-vsce package
-
-
diff --git a/vscode-extensions/vscode-manifest-yaml/tsconfig.json b/vscode-extensions/vscode-manifest-yaml/tsconfig.json
index afb8e79d2..1905ffea7 100644
--- a/vscode-extensions/vscode-manifest-yaml/tsconfig.json
+++ b/vscode-extensions/vscode-manifest-yaml/tsconfig.json
@@ -1,11 +1,20 @@
{
"compilerOptions": {
"module": "commonjs",
- "target": "es5",
+ "moduleResolution": "node",
+ "target": "es6",
+ "lib": [
+ "es6"
+ ],
+ "declaration": true,
"outDir": "out",
"sourceMap": true,
"rootDir": "."
},
+ "include": [
+ "typings/*.d.ts",
+ "lib/**/*.ts"
+ ],
"exclude": [
"node_modules"
]
diff --git a/vscode-extensions/vscode-manifest-yaml/typings/portfinder.d.ts b/vscode-extensions/vscode-manifest-yaml/typings/portfinder.d.ts
index 554fa8db2..ba7b33f57 100644
--- a/vscode-extensions/vscode-manifest-yaml/typings/portfinder.d.ts
+++ b/vscode-extensions/vscode-manifest-yaml/typings/portfinder.d.ts
@@ -1,7 +1,7 @@
-
-
declare module 'portfinder' {
- var basePort: number;
-
- function getPort(callback: (err: any, port: number) => void);
+ const exports: {
+ basePort: number;
+ getPort(callback: (err: any, port: number) => void);
+ };
+ export = exports;
}
\ No newline at end of file
diff --git a/vscode-extensions/vscode-manifest-yaml/typings/tsd.d.ts b/vscode-extensions/vscode-manifest-yaml/typings/tsd.d.ts
deleted file mode 100644
index 2916e4c11..000000000
--- a/vscode-extensions/vscode-manifest-yaml/typings/tsd.d.ts
+++ /dev/null
@@ -1,2 +0,0 @@
-///
-///
\ No newline at end of file